aboutsummaryrefslogtreecommitdiffstats
path: root/testing/imapsync/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-01-25 09:50:35 +0000
committerSören Tempel <soeren+git@soeren-tempel.net>2016-01-29 23:31:19 +0100
commitde10f2ce4e3c29f69d9149d8c7cf4e8ffcef4b3d (patch)
tree004f994f546657d038ffd89978a2ab52234caa13 /testing/imapsync/APKBUILD
parent407ed284cdf70809ee0d390fb40273be27fde52c (diff)
downloadaports-de10f2ce4e3c29f69d9149d8c7cf4e8ffcef4b3d.tar.gz
aports-de10f2ce4e3c29f69d9149d8c7cf4e8ffcef4b3d.tar.bz2
aports-de10f2ce4e3c29f69d9149d8c7cf4e8ffcef4b3d.tar.xz
testing/imapsync: upgrade to 1.678
Diffstat (limited to 'testing/imapsync/APKBUILD')
-rw-r--r--testing/imapsync/APKBUILD20
1 files changed, 11 insertions, 9 deletions
diff --git a/testing/imapsync/APKBUILD b/testing/imapsync/APKBUILD
index 34bbe5851d..9e5de914e7 100644
--- a/testing/imapsync/APKBUILD
+++ b/testing/imapsync/APKBUILD
@@ -1,30 +1,32 @@
# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
pkgname=imapsync
-pkgver=1.670
+pkgver=1.678
pkgrel=0
pkgdesc="IMAP synchronisation, sync, copy or migration tool"
url="http://imapsync.lamiral.info"
arch="noarch"
license="custom"
-depends="perl-digest-hmac perl-authen-ntlm perl-io-compress perl-data-dumper perl-data-uniqid perl-digest-md5 \
- perl-file-copy-recursive perl-io-socket-inet6 perl-io-socket-ssl perl-io-tee perl-mail-imapclient \
- perl-parse-recdescent perl-term-readkey perl-test-pod perl-test-simple perl-unicode-string perl-uri-escape"
+depends="perl-digest-hmac perl-authen-ntlm perl-io-compress perl-data-dumper \
+ perl-data-uniqid perl-digest-md5 perl-file-copy-recursive perl-io-socket-inet6 \
+ perl-io-socket-ssl perl-io-tee perl-mail-imapclient perl-parse-recdescent \
+ perl-term-readkey perl-test-pod perl-test-simple perl-unicode-string perl-uri-escape"
depends_dev=""
makedepends="$depends_dev perl-module-scandeps perl-par-packer"
subpackages="$pkgname-doc"
source="https://github.com/$pkgname/$pkgname/archive/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/$pkgname-$pkgname-$pkgver
-
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
+
mkdir -p "$pkgdir"/usr/share/doc/$pkgname
- install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
install -Dm644 FAQ.d/* "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
}
-md5sums="1956d13e32534337fcea7aba6da0feb0 imapsync-1.670.tar.gz"
-sha256sums="0a02a60899850a2aa8b7642a1caebda951437e2eb530f32489b10e651e957a29 imapsync-1.670.tar.gz"
-sha512sums="1a51c707b168a04900cb19a9df1d185bde3a42cda74c12d863d19f84c806f1c161a0e240e51a3c9673a17b2010df22e55c0286108d6aaa8a3b0233a4d510311f imapsync-1.670.tar.gz"
+md5sums="065961c37544635861a068a0596e4e29 imapsync-1.678.tar.gz"
+sha256sums="77cd7b58bc1872bcf6c531ee8f764dda87e0dec3f6ffed752748ff9ae74534b0 imapsync-1.678.tar.gz"
+sha512sums="88dd59bbd1567f76c70aca74d86540f00baa6df0869e7679505e8402138665e0380b942167b1cfe4fb55c5e01402b7820163bfa9d296de67e05248699592b799 imapsync-1.678.tar.gz"